## Class TinyMCE_UndoRedo

    Object
       |
       +--TinyMCE_UndoRedo

class TinyMCE_UndoRedo

Defined in TinyMCE_UndoRedo.class.js

Field Summary
`Object` | `instance`
`Object` | `typingUndoIndex`
`Object` | `undoIndex`
`Object` | `undoLevels`
`Object` | `undoRedo`

Constructor Summary
`TinyMCE_UndoRedo (<TinyMCE_Control> inst)` Constructs a undo redo instance, this instance handles the custom undo/redo handeling in TinyMCE.

Method Summary
`boolean` | `add(<TinyMCE_UndoRedoLevel> l)` Adds a new undo level, this will take a snapshot of the current instance HTML or use the specified level.
`void` | `redo()` Performes a undo action, this will restore the HTML contents of the editor to a former undoed state.
`void` | `undo()` Performes a undo action, this will restore the HTML contents of the editor to a former state.

Field Detail

### instance

    Object instance

### typingUndoIndex

    Object typingUndoIndex

### undoIndex

    Object undoIndex

### undoLevels

    Object undoLevels

### undoRedo

    Object undoRedo

Constructor Detail

### TinyMCE_UndoRedo

    TinyMCE_UndoRedo(<TinyMCE_Control> inst)

Constructs a undo redo instance, this instance handles the custom undo/redo handeling in TinyMCE.

Parameters:

`inst` - TinyMCE editor control instance.

Method Detail

### add

    boolean add(<TinyMCE_UndoRedoLevel> l)

Adds a new undo level, this will take a snapshot of the current instance HTML or use the specified level.

Parameters:

`l` - Optional undo/redo level to add.

Returns:

true/false on success or failure.

### redo

    void redo()

Performes a undo action, this will restore the HTML contents of the editor to a former undoed state.

### undo

    void undo()

Performes a undo action, this will restore the HTML contents of the editor to a former state.

Documentation generated by JSDoc on Fri Apr 14 21:59:23 2006